%global file_name im.srain.Srain

Name:           srain
Version:        1.0.0
Release:        0.3.rc5%{?dist}
Summary:        Modern, beautiful IRC client written in GTK+ 3

# The entire source code is GPLv3+ except:
# keypair/      which is BSD
# sui_side_bar/ which is GPLv2+
License:        GPLv3+ and BSD and GPLv2+
URL:            https://github.com/SrainApp/srain
Source0:        %{url}/archive/%{version}rc5.tar.gz#/%{name}-%{version}rc5.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(openssl)

Requires:       hicolor-icon-theme

%description
%{summary}

%prep
%autosetup -n %{name}-%{version}rc5

%build
%configure
%make_build

%install
%make_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{file_name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{file_name}.desktop

%files -f %{name}.lang
%doc README.rst
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{file_name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{file_name}.png
%{_metainfodir}/%{file_name}.appdata.xml
%{_sysconfdir}/%{name}

%changelog
* Sun Jun 16 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-0.3.rc5
- Update to 1.0.0rc5

* Mon Apr 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-0.2.rc3
- Initial Package
